<?php


	
    public static function YouTubeShortCodeHandler($arguments,$caption = null,$parser = null) {
        // first things first, if we dont have a video ID, then we don't need to
        // go any further
        if (!$arguments['id']) {
            return;
        }
        
        $customise = array();
        /*** SET DEFAULTS ***/
        $customise['YouTubeID'] = $arguments['id'];
        //play the video on page load
        $customise['autoplay'] = false;
        //set the caption
        $customise['caption'] = $caption ? Convert::raw2xml($caption) : false;
        //set dimensions
        $customise['width'] = 480;
        $customise['height'] = 360;
        
        //overide the defaults with the arguments supplied
        $customise = array_merge($customise,$arguments);
        
        //get our YouTube template
        $template = new SSViewer('YouTube');
        
        //return the customised template
        return $template->process(new ArrayData($customise));
    
    }
	
  